package com.ruoyi.project.production.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * SAI类别对象 t_sai_category
 *
 * @author ruoyi
 * @date 2023-04-18
 */
public class TSaiCategory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** SAI类别编号 */
    @Excel(name = "SAI类别编号")
    private Long saiCategoryId;

    /** SAI类别名称 */
    @Excel(name = "SAI类别名称")
    private String saiCategoryName;

    /** 删除状态 */
    private String delFlag;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    public void setSaiCategoryId(Long saiCategoryId)
    {
        this.saiCategoryId = saiCategoryId;
    }

    public Long getSaiCategoryId()
    {
        return saiCategoryId;
    }
    public void setSaiCategoryName(String saiCategoryName)
    {
        this.saiCategoryName = saiCategoryName;
    }

    public String getSaiCategoryName()
    {
        return saiCategoryName;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("saiCategoryId", getSaiCategoryId())
            .append("saiCategoryName", getSaiCategoryName())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .toString();
    }
}
